[Overview][Types][Classes][Index] | Reference for unit 'ZStream' (#fcl)

# Tcompressionstream.destroy

Flushes data to the output stream and destroys the compression stream.

## Declaration

Source position: zstream.pp line 66

`public destructor Tcompressionstream.destroy; override;`

## Description

Destroy flushes the output stream: any compressed data not yet written to the output stream are written, and the deflate structures are cleaned up.

## Errors

None.

## See also

Create |  | Create a new instance of the compression stream.